## ETreeSelectionModel

ETreeSelectionModel

## Functions

ESelectionModel * | e_tree_selection_model_new ()
void | (*ETreeForeachFunc) ()
void | e_tree_selection_model_foreach ()
void | e_tree_selection_model_select_single_path ()
void | e_tree_selection_model_select_paths ()
void | e_tree_selection_model_add_to_selection ()
void | e_tree_selection_model_change_cursor ()
ETreePath | e_tree_selection_model_get_cursor ()

## Properties

gint | cursor-col | Read / Write
gint | cursor-row | Read / Write
ETreeTableAdapter * | etta | Read / Write
ETreeModel * | model | Read / Write

## Types and Values

struct | ETreeSelectionModel

## Object Hierarchy

        GObject
        ╰── ESelectionModel
            ╰── ETreeSelectionModel

## Description

## Functions

### e_tree_selection_model_new ()

    ESelectionModel *
    e_tree_selection_model_new (void);

### ETreeForeachFunc ()

    void
    (*ETreeForeachFunc) (ETreePath path,
                         gpointer closure);

### e_tree_selection_model_foreach ()

    void
    e_tree_selection_model_foreach (ETreeSelectionModel *etsm,
                                    ETreeForeachFunc callback,
                                    gpointer closure);

### e_tree_selection_model_select_single_path ()

    void
    e_tree_selection_model_select_single_path
                                   (ETreeSelectionModel *etsm,
                                    ETreePath path);

### e_tree_selection_model_select_paths ()

    void
    e_tree_selection_model_select_paths (ETreeSelectionModel *etsm,
                                         GPtrArray *paths);

### e_tree_selection_model_add_to_selection ()

    void
    e_tree_selection_model_add_to_selection
                                   (ETreeSelectionModel *etsm,
                                    ETreePath path);

### e_tree_selection_model_change_cursor ()

    void
    e_tree_selection_model_change_cursor (ETreeSelectionModel *etsm,
                                          ETreePath path);

### e_tree_selection_model_get_cursor ()

    ETreePath
    e_tree_selection_model_get_cursor (ETreeSelectionModel *etsm);

## Types and Values

### struct ETreeSelectionModel

    struct ETreeSelectionModel;

## Property Details

### The `“cursor-col”` property

      “cursor-col”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“cursor-row”` property

      “cursor-row”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“etta”` property

      “etta”                     ETreeTableAdapter *

Flags: Read / Write

### The `“model”` property

      “model”                    ETreeModel *

Flags: Read / Write